Bug 40577 - (Voodoo) DRI freezes machine solid
(Voodoo) DRI freezes machine solid
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-14 15:04 EDT by Alan Cox
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-15 04:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alan Cox 2001-05-14 15:04:19 EDT
Description of Problem:
3dFx Voodoo 4500 as primary video card. Matrox AGP card in AGP slot not
being used or referenced. Xconfig straight from the Xconfigurator

How Reproducible:
seems to be easy

Steps to Reproduce:
1. start X
2. run tuxracer

Actual Results:

Frozen box

Expected Results:


Additional Information:
Comment 1 Mike A. Harris 2001-05-15 04:31:54 EDT
If you change the symlink in /usr/lib that points libglide3.so.3.10.0 to
point to glide3/libglide3-v5.so instead of glide3/libglide3-v3.so (the default),
then reboot (to be on the safe side), does the problem go away?  If so, this
will be a useful datapoint for fixing up XFree86 to load glide directly instead
of the current symlink crap.

Could you also post the "lspci -vn" for this Voodoo card for me?  It will
come in handy when I attempt to get XFree86 to load the proper Glide directly
based on PCI id's.
Comment 2 Mike A. Harris 2001-08-08 08:43:23 EDT
Closing bug due to lack of requested information.  The Voodoo 3 works
fine for me in all tests with current 4.0.3 and also 4.1.0 in rawhide.
Make sure the Voodoo card is set as primary in your CMOS, and if you
are using DRI, you *MUST* use 16bit depth, and a resolution that is
1024x768 or less or it will not work at all. (on a 16Mb card).

Note You need to log in before you can comment on or make changes to this bug.